package com.qmth.themis.business.bean.exam;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("结束考试参数")
public class FinishParamBean {

	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty("考试记录id")
	private Long recordId;
	
	@ApiModelProperty("结束类型")
	private String type;
	
	@ApiModelProperty("总用时秒数")
	private Integer durationSeconds;

	public Long getRecordId() {
		return recordId;
	}

	public void setRecordId(Long recordId) {
		this.recordId = recordId;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public Integer getDurationSeconds() {
		return durationSeconds;
	}

	public void setDurationSeconds(Integer durationSeconds) {
		this.durationSeconds = durationSeconds;
	}

}
